Bug 60121 - xterm does not accept input when pointer in scroll bar
xterm does not accept input when pointer in scroll bar
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-02-20 11:19 EST by Need Real Name
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-01 05:00:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-02-20 11:19:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:

When an xterm with a scroll bar is used, and the mouse pointer is in 
the scroll bar, the xterm does not accept keyboard input. This used
to work.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start an xterm with a scroll bar using  "xterm -sb"
2. Ensure that it has the input focus
2. Move the mouse pointer so that it's pointing to the scroll bar
3. Type some characters.	

Actual Results:  The characters are not typed into the xterm (it acts as if 
was typed).

Expected Results:  The characters should have been entered just as they would 
if the
pointer was anywhere else (as always used to happen :)

Additional info:

Using XFree86-4.1.0-15 but the problem exists in RH7.2 with no errata RPMs 
Comment 1 Mike A. Harris 2002-02-21 22:11:12 EST
In the XTerm.ad resources file, there is a line VT100*translations
Change the * to a . or vice versa.  Restart XFree86 and let me know
if the problem goes away.
Comment 2 Need Real Name 2002-03-01 05:00:21 EST
Thanks for looking into this!

I assume you mean the file

I've edited it to change *both* the lines starting
This has fixed the problem - many thanks!


Note You need to log in before you can comment on or make changes to this bug.